package com.campus.activity.service;

import com.campus.activity.dto.request.*;
import com.campus.activity.dto.response.LoginResponse;
import com.campus.activity.dto.response.RefreshTokenResponse;
import com.campus.activity.entity.User;

public interface AuthService {

    void register(RegisterRequest request);

    LoginResponse login(LoginRequest request);

    RefreshTokenResponse refreshToken(RefreshTokenRequest request);

    User getCurrentUser();

    User getUserById(Long userId);

    void changePassword(ChangePasswordRequest request);
}